<?php
// Display errors for debugging (disable in production)
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

require __DIR__ . '/vendor/autoload.php';
use Firebase\JWT\JWT;
use Firebase\JWT\Key;

require_once('../lib/dbclass.php');

// JWT Config
define('JWT_SECRET', 'asvin@is*a#!!()king1$%^silpa@is*a#!!()king1$%^'); // long secret
define('JWT_ALGO', 'HS256');
define('JWT_EXPIRE', 3600);         // 1 hour
define('REFRESH_EXPIRE', 604800);   // 7 days
define('JWT_ISSUER', 'https://www.shihabthangalsocietytanur.in/api/v1');
